你好,游客 登录 注册 搜索
背景:
阅读新闻

Linux Kernel 本地内存破坏漏洞(CVE-2017-7277)

[日期:2017-06-11] 来源:Linux社区  作者:Linux [字体: ]
Linux Kernel 本地内存破坏漏洞(CVE-2017-7277)


发布日期:2017-06-07
更新日期:2017-06-11

受影响系统:

Linux kernel <= 4.10.6

描述:


BUGTRAQ  ID: 97141
CVE(CAN) ID: CVE-2017-7277

Linux Kernel是Linux操作系统的内核。

Linux kernel <= 4.10.6版本,TCP栈错误处理了SCM_TIMESTAMPING_OPT_STATS功能,可使本地用户通过构造的系统调用,获取内核内部套接字数据结构信息,或造成拒绝服务。

<*来源:JongHwan Kim
  *>

建议:


厂商补丁:

Linux
-----
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=4ef1b2869447411ad3ef91ad7d4891a83c1a509a
http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=8605330aac5a5785630aec8f64378a54891937cc
https://github.com/torvalds/linux/commit/4ef1b2869447411ad3ef91ad7d4891a83c1a509a
https://github.com/torvalds/linux/commit/8605330aac5a5785630aec8f64378a54891937cc
https://patchwork.ozlabs.org/patch/740636/
https://patchwork.ozlabs.org/patch/740639/

本文永久更新链接地址http://www.linuxidc.com/Linux/2017-06/144582.htm

linux
本文评论   查看全部评论 (0)
表情: 表情 姓名: 字数

       

评论声明
  • 尊重网上道德,遵守中华人民共和国的各项有关法律法规
  • 承担一切因您的行为而直接或间接导致的民事或刑事法律责任
  • 本站管理人员有权保留或删除其管辖留言中的任意内容
  • 本站有权在网站内转载或引用您的评论
  • 参与本评论即表明您已经阅读并接受上述条款